<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black">

    <com.gh.gamecenter.qa.editor.PreviewVideoView
        android:id="@+id/videoView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

    </com.gh.gamecenter.qa.editor.PreviewVideoView>

    <com.gh.gamecenter.common.view.StatusBarView
        android:id="@+id/statusBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/black_alpha_60"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/black_alpha_60"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/statusBar">

        <ImageView
            android:id="@+id/backBtn"
            android:layout_width="45dp"
            android:layout_height="50dp"
            android:scaleType="centerInside"
            android:src="@drawable/video_back" />
    </RelativeLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="156dp"
        android:background="@color/black_alpha_60"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <TextView
        android:id="@+id/confirmTv"
        android:layout_width="56dp"
        android:layout_height="28dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="12dp"
        android:background="@drawable/button_blue_oval"
        android:gravity="center"
        android:text="确定"
        android:textColor="@color/white"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent" />

    <TextView
        android:id="@+id/numTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="12dp"
        android:alpha="0.6"
        android:text="1/1"
        android:textColor="@color/white"
        app:layout_constraintBottom_toBottomOf="@+id/confirmTv"
        app:layout_constraintEnd_toStartOf="@+id/confirmTv"
        app:layout_constraintTop_toTopOf="@+id/confirmTv" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/videoSelectorRv"
        android:layout_width="match_parent"
        android:layout_height="52dp"
        android:layout_marginBottom="12dp"
        android:paddingLeft="16dp"
        app:layout_constraintBottom_toTopOf="@+id/confirmTv" />

    <TextView
        android:id="@+id/changeCoverTv"
        android:layout_width="72dp"
        android:layout_height="28dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="16dp"
        android:background="@drawable/bg_change_cover_btn"
        android:gravity="center"
        android:text="更改封面"
        android:textColor="@color/white"
        android:textSize="12sp"
        app:layout_constraintBottom_toTopOf="@+id/videoSelectorRv"
        app:layout_constraintEnd_toEndOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>